# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "pathname2"
  s.version = "1.6.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Daniel J. Berger"]
  s.date = "2011-09-19"
  s.description = "    The pathname2 library provides an implementation of the Pathname\n    class different from the one that ships as part of the Ruby standard\n    library. It is a subclass of String, though several methods have been\n    overridden to better fit a path context. In addition, it supports file\n    URL's as paths, provides additional methods for Windows paths, and\n    handles UNC paths on Windows properly. See the README file for more\n    details.\n"
  s.email = "djberg96@gmail.com"
  s.extra_rdoc_files = ["README", "CHANGES", "MANIFEST"]
  s.files = ["README", "CHANGES", "MANIFEST"]
  s.homepage = "http://www.rubyforge.org/projects/shards"
  s.licenses = ["Artistic 2.0"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "shards"
  s.rubygems_version = "1.8.23"
  s.summary = "An alternate implementation of the Pathname class"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<facade>, [">= 0"])
      s.add_development_dependency(%q<test-unit>, [">= 0"])
    else
      s.add_dependency(%q<facade>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 0"])
    end
  else
    s.add_dependency(%q<facade>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 0"])
  end
end
